%global framework mailcommon

Name:           kf5-%{framework}
Version:        23.08.5
Release:        1
Summary:        Mail applications support library

License:        GPLv2
URL:            https://invent.kde.org/pim/%{framework}/

%global majmin %majmin_ver_kf5
Source0:        http://download.kde.org/stable/release-service/%{version}/src/%{framework}-%{version}.tar.xz

# handled by qt5-srpm-macros, which defines %%qt5_qtwebengine_arches
%{?qt5_qtwebengine_arches:ExclusiveArch: %{qt5_qtwebengine_arches}}

BuildRequires:  cmake(Qt5Designer)
BuildRequires:  cmake(Qt5UiTools)
BuildRequires:  qt5-qtbase-devel

%global kf5_ver 5.89.0
BuildRequires:  extra-cmake-modules >= %{kf5_ver}
BuildRequires:  kf5-rpm-macros >= %{kf5_ver}
BuildRequires:  cmake(Grantlee5)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5ItemModels)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5SyntaxHighlighting)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)

#global majmin_ver %(echo %{version} | cut -d. -f1,2)
%global majmin_ver %{version}
BuildRequires:  kf5-akonadi-mime-devel >= %{majmin_ver}
BuildRequires:  kf5-akonadi-server-devel >= %{majmin_ver}
BuildRequires:  kf5-kldap-devel >= %{majmin_ver}
BuildRequires:  kf5-kmailtransport-devel >= %{majmin_ver}
BuildRequires:  kf5-kmime-devel >= %{majmin_ver}
BuildRequires:  kf5-libkdepim-devel >= %{majmin_ver}
BuildRequires:  kf5-mailimporter-devel >= %{majmin_ver}
BuildRequires:  kf5-messagelib-devel >= %{majmin_ver}
BuildRequires:  kf5-pimcommon-devel >= %{majmin_ver}

BuildRequires:  pkgconfig(libxslt)
BuildRequires:  phonon-qt5-devel >= 4.11

Obsoletes:      kdepim-libs < 7:16.04.0

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake(KF5Akonadi)
Requires:       cmake(KF5AkonadiMime)
Requires:       cmake(KPim5MessageComposer)
Requires:       kf5-pimcommon-devel
%description    devel
%{summary}.


%prep
%autosetup -n %{framework}-%{version}


%build
%cmake_kf5

%make_build


%install
%make_install

%find_lang %{name} --all-name --with-html


%ldconfig_scriptlets

%files -f %{name}.lang
%license LICENSES/*
%{_kf5_datadir}/qlogging-categories5/*%{framework}.*
%{_kf5_libdir}/libKPim5MailCommon.so.*
%{_qt5_plugindir}/designer/mailcommon5widgets.so

%files devel
%{_kf5_archdatadir}/mkspecs/modules/qt_MailCommon.pri
%{_includedir}/KPim5/MailCommon/
%{_kf5_libdir}/cmake/KF5MailCommon/
%{_kf5_libdir}/cmake/KPim5MailCommon/
%{_kf5_libdir}/libKPim5MailCommon.so


%changelog
* Mon Mar 18 2024 peijiankang <peijiankang@kylinos.cn> - 23.08.5-1
- update verison to 23.08.5

* Thu Jan 18 2024 misaka00251 <liuxin@iscas.ac.cn> - 23.08.4-1
- Upgrade to 23.08.4

* Fri Aug 04 2023 peijiankang<peijiankang@kylinos.cn> - 23.04.3-1
- 23.04.3

* Wed Apr 19 2023 huayadong<huayadong@kylinos.cn> - 22.12.0-1
- 22.12.0
